Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.style
Interface Stroke

    public interface Stroke

Encapsulates the stroke attributes that can be applied to any line Graphic.

Version:
  0.2

Field Summary
`static String` | `ARROW_DIRECTION` arrow direction attribute name.
`static String` | `ARROW_STYLE` arrow style attribute name.
`static String` | `COLOR` color attribute name.
`static String` | `DASH_ARRAY` dash array attribute name.
`static String` | `DASH_OFFSET` dash offset attribute name.
`static String` | `FILL` fill attribute name.
`static String` | `LINE_CAP` line cap attribute name.
`static String` | `LINE_GAP` line gap attribute name.
`static String` | `LINE_JOIN` line join attribute name.
`static String` | `LINE_STYLE` line style attribute name.
`static String` | `OPACITY` opacity attribute name.
`static String` | `WIDTH` width attribute name.

Method Summary
`ArrowStyle` | `getBeginArrowStyle()` Returns the stroke begin arrow style value.
`Color` | `getColor()` Returns the stroke color value.
`DashArray` | `getDashArray()` Returns the stroke dash array value.
`float` | `getDashOffset()` Returns the stroke dash offset value.
`ArrowStyle` | `getEndArrowStyle()` Returns the stroke end arrow style value.
`Fill` | `getFill()` Returns the stroke fill value.
`LineCap` | `getLineCap()` Returns the stroke line cap value.
`float` | `getLineGap()` Returns the stroke line gap value.
`LineJoin` | `getLineJoin()` Returns the stroke line join value.
`LineStyle` | `getLineStyle()` Returns the stroke line style value.
`float` | `getOpacity()` Returns the opacity value.
`float` | `getWidth()` Returns the width value.
`boolean` | `isBeginArrowStyleSet()` Returns whether the stroke begin arrow style value has been set.
`boolean` | `isColorSet()` Returns whether the stroke color value has been set.
`boolean` | `isDashArraySet()` Returns whether the stroke dash array value has been set.
`boolean` | `isDashOffsetSet()` Returns whether the stroke dash offset value has been set.
`boolean` | `isEndArrowStyleSet()` Returns whether the stroke end arrow style value has been set.
`boolean` | `isFillSet()` Returns whether the stroke fill value has been set.
`boolean` | `isLineCapSet()` Returns whether the stroke line cap value has been set.
`boolean` | `isLineGapSet()` Returns whether the stroke line gap value has been set.
`boolean` | `isLineJoinSet()` Returns whether the stroke line join value has been set.
`boolean` | `isLineStyleSet()` Returns whether the stroke line style value has been set.
`boolean` | `isOpacitySet()` Returns whether the opacity value has been set.
`boolean` | `isWidthSet()` Returns whether the width value has been set.
`void` | `setBeginArrowStyle(ArrowStyle strokeArrowStyle)` Sets the stroke begin arrow style value.
`void` | `setBeginArrowStyleSet(boolean flag)` Sets the fact that the stroke begin arrow style value has been set.
`void` | `setColor(Color strokeColor)` Sets the stroke color value.
`void` | `setColorSet(boolean flag)` Sets the fact that the stroke color value has been set.
`void` | `setDashArray(DashArray strokeDashArray)` Sets the stroke dash array value.
`void` | `setDashArraySet(boolean flag)` Sets the fact that the stroke dash array value has been set.
`void` | `setDashOffset(float strokeDashOffset)` Sets the stroke dash offset value.
`void` | `setDashOffsetSet(boolean flag)` Sets the fact that the stroke dash offset value has been set.
`void` | `setEndArrowStyle(ArrowStyle strokeArrowStyle)` Sets the stroke end arrow style value.
`void` | `setEndArrowStyleSet(boolean flag)` Sets the fact that the stroke end arrow style value has been set.
`void` | `setFill(Fill strokeFill)` Sets the stroke fill value.
`void` | `setFillSet(boolean flag)` Sets the fact that the stroke fill value has been set.
`void` | `setLineCap(LineCap strokeLineCap)` Sets the stroke line cap value.
`void` | `setLineCapSet(boolean flag)` Sets the fact that the stroke line cap value has been set.
`void` | `setLineGap(float strokeLineGap)` Sets the stroke line gap value.
`void` | `setLineGapSet(boolean flag)` Sets the fact that the stroke line gap value has been set.
`void` | `setLineJoin(LineJoin strokeLineJoin)` Sets the stroke line join value.
`void` | `setLineJoinSet(boolean flag)` Sets the fact that the stroke line join value has been set.
`void` | `setLineStyle(LineStyle strokeLineStyle)` Sets the stroke line style value.
`void` | `setLineStyleSet(boolean flag)` Sets the fact that the stroke line style value has been set.
`void` | `setOpacity(float opacity)` Sets the opacity value.
`void` | `setOpacitySet(boolean flag)` Sets the fact that the opacity value has been set.
`void` | `setWidth(float width)` Sets the width value.
`void` | `setWidthSet(boolean flag)` Sets the fact that the width value has been set.

Field Detail

### ARROW_DIRECTION

    static final String ARROW_DIRECTION

  arrow direction attribute name.

  See Also:
    Constant Field Values

### ARROW_STYLE

    static final String ARROW_STYLE

  arrow style attribute name.

  See Also:
    Constant Field Values

### COLOR

    static final String COLOR

  color attribute name.

  See Also:
    Constant Field Values

### DASH_ARRAY

    static final String DASH_ARRAY

  dash array attribute name.

  See Also:
    Constant Field Values

### DASH_OFFSET

    static final String DASH_OFFSET

  dash offset attribute name.

  See Also:
    Constant Field Values

### FILL

    static final String FILL

  fill attribute name.

  See Also:
    Constant Field Values

### LINE_CAP

    static final String LINE_CAP

  line cap attribute name.

  See Also:
    Constant Field Values

### LINE_GAP

    static final String LINE_GAP

  line gap attribute name.

  See Also:
    Constant Field Values

### LINE_JOIN

    static final String LINE_JOIN

  line join attribute name.

  See Also:
    Constant Field Values

### LINE_STYLE

    static final String LINE_STYLE

  line style attribute name.

  See Also:
    Constant Field Values

### OPACITY

    static final String OPACITY

  opacity attribute name.

  See Also:
    Constant Field Values

### WIDTH

    static final String WIDTH

  width attribute name.

  See Also:
    Constant Field Values

Method Detail

### getBeginArrowStyle

    ArrowStyle getBeginArrowStyle()

  Returns the stroke begin arrow style value.

  Returns:
    the stroke begin arrow style value.

### isBeginArrowStyleSet

    boolean isBeginArrowStyleSet()

  Returns whether the stroke begin arrow style value has been set.

  Returns:
    true if the stroke begin arrow style value has been set, false otherwise.

### setBeginArrowStyle

    void setBeginArrowStyle(ArrowStyle strokeArrowStyle)

  Sets the stroke begin arrow style value.

  Parameters:
    `strokeArrowStyle` - the stroke begin arrow style value.

### setBeginArrowStyleSet

    void setBeginArrowStyleSet(boolean flag)

  Sets the fact that the stroke begin arrow style value has been set.

  Parameters:
    `flag` - true if the stroke begin arrow style value has been set, false otherwise.

### getEndArrowStyle

    ArrowStyle getEndArrowStyle()

  Returns the stroke end arrow style value.

  Returns:
    the stroke end arrow style value.

### isEndArrowStyleSet

    boolean isEndArrowStyleSet()

  Returns whether the stroke end arrow style value has been set.

  Returns:
    true if the stroke end arrow style value has been set, false otherwise.

### setEndArrowStyle

    void setEndArrowStyle(ArrowStyle strokeArrowStyle)

  Sets the stroke end arrow style value.

  Parameters:
    `strokeArrowStyle` - the stroke end arrow style value.

### setEndArrowStyleSet

    void setEndArrowStyleSet(boolean flag)

  Sets the fact that the stroke end arrow style value has been set.

  Parameters:
    `flag` - true if the stroke end arrow style value has been set, false otherwise.

### getColor

    Color getColor()

  Returns the stroke color value.

  Returns:
    the stroke color value.

### isColorSet

    boolean isColorSet()

  Returns whether the stroke color value has been set.

  Returns:
    true if the stroke color value has been set, false otherwise.

### setColor

    void setColor(Color strokeColor)

  Sets the stroke color value.

  Parameters:
    `strokeColor` - the stroke color value.

### setColorSet

    void setColorSet(boolean flag)

  Sets the fact that the stroke color value has been set.

  Parameters:
    `flag` - true if the stroke color value has been set, false otherwise.

### getDashArray

    DashArray getDashArray()

  Returns the stroke dash array value.

  Returns:
    the stroke dash array value.

### isDashArraySet

    boolean isDashArraySet()

  Returns whether the stroke dash array value has been set.

  Returns:
    true if the stroke dash array value has been set, false otherwise.

### setDashArray

    void setDashArray(DashArray strokeDashArray)

  Sets the stroke dash array value.

  Parameters:
    `strokeDashArray` - the stroke dash array value.

### setDashArraySet

    void setDashArraySet(boolean flag)

  Sets the fact that the stroke dash array value has been set.

  Parameters:
    `flag` - true if the stroke dash array value has been set, false otherwise.

### getDashOffset

    float getDashOffset()

  Returns the stroke dash offset value.

  Returns:
    the stroke dash offset value.

### isDashOffsetSet

    boolean isDashOffsetSet()

  Returns whether the stroke dash offset value has been set.

  Returns:
    true if the stroke dash offset value has been set, false otherwise.

### setDashOffset

    void setDashOffset(float strokeDashOffset)

  Sets the stroke dash offset value.

  Parameters:
    `strokeDashOffset` - the stroke dash offset value.

### setDashOffsetSet

    void setDashOffsetSet(boolean flag)

  Sets the fact that the stroke dash offset value has been set.

  Parameters:
    `flag` - true if the stroke dash offset value has been set, false otherwise.

### getFill

    Fill getFill()

  Returns the stroke fill value.

  Returns:
    the stroke fill value.

### isFillSet

    boolean isFillSet()

  Returns whether the stroke fill value has been set.

  Returns:
    true if the stroke fill value has been set, false otherwise.

### setFill

    void setFill(Fill strokeFill)

  Sets the stroke fill value.

  Parameters:
    `strokeFill` - the stroke fill value.

### setFillSet

    void setFillSet(boolean flag)

  Sets the fact that the stroke fill value has been set.

  Parameters:
    `flag` - true if the stroke fill value has been set, false otherwise.

### getLineCap

    LineCap getLineCap()

  Returns the stroke line cap value.

  Returns:
    the stroke line cap value.

### isLineCapSet

    boolean isLineCapSet()

  Returns whether the stroke line cap value has been set.

  Returns:
    true if the stroke line cap value has been set, false otherwise.

### setLineCap

    void setLineCap(LineCap strokeLineCap)

  Sets the stroke line cap value.

  Parameters:
    `strokeLineCap` - the stroke line cap value.

### setLineCapSet

    void setLineCapSet(boolean flag)

  Sets the fact that the stroke line cap value has been set.

  Parameters:
    `flag` - true if the stroke line cap value has been set, false otherwise.

### getLineGap

    float getLineGap()

  Returns the stroke line gap value.

  Returns:
    the stroke line gap value.

### isLineGapSet

    boolean isLineGapSet()

  Returns whether the stroke line gap value has been set.

  Returns:
    true if the stroke line gap value has been set, false otherwise.

### setLineGap

    void setLineGap(float strokeLineGap)

  Sets the stroke line gap value.

  Parameters:
    `strokeLineGap` - the stroke line gap value.

### setLineGapSet

    void setLineGapSet(boolean flag)

  Sets the fact that the stroke line gap value has been set.

  Parameters:
    `flag` - true if the stroke line gap value has been set, false otherwise.

### getLineJoin

    LineJoin getLineJoin()

  Returns the stroke line join value.

  Returns:
    the stroke line join value.

### isLineJoinSet

    boolean isLineJoinSet()

  Returns whether the stroke line join value has been set.

  Returns:
    true if the stroke line join value has been set, false otherwise.

### setLineJoin

    void setLineJoin(LineJoin strokeLineJoin)

  Sets the stroke line join value.

  Parameters:
    `strokeLineJoin` - the stroke line join value.

### setLineJoinSet

    void setLineJoinSet(boolean flag)

  Sets the fact that the stroke line join value has been set.

  Parameters:
    `flag` - true if the stroke line join value has been set, false otherwise.

### getLineStyle

    LineStyle getLineStyle()

  Returns the stroke line style value.

  Returns:
    the stroke line style value.

### isLineStyleSet

    boolean isLineStyleSet()

  Returns whether the stroke line style value has been set.

  Returns:
    true if the stroke line style value has been set, false otherwise.

### setLineStyle

    void setLineStyle(LineStyle strokeLineStyle)

  Sets the stroke line style value.

  Parameters:
    `strokeLineStyle` - the stroke line style value.

### setLineStyleSet

    void setLineStyleSet(boolean flag)

  Sets the fact that the stroke line style value has been set.

  Parameters:
    `flag` - true if the stroke line style value has been set, false otherwise.

### getOpacity

    float getOpacity()

  Returns the opacity value.

  Returns:
    the opacity value.

### isOpacitySet

    boolean isOpacitySet()

  Returns whether the opacity value has been set.

  Returns:
    true if the opacity value has been set, false otherwise.

### setOpacity

    void setOpacity(float opacity)

  Sets the opacity value.

  Parameters:
    `opacity` - the opacity value.

### setOpacitySet

    void setOpacitySet(boolean flag)

  Sets the fact that the opacity value has been set.

  Parameters:
    `flag` - true if the opacity value has been set, false otherwise.

### getWidth

    float getWidth()

  Returns the width value.

  Returns:
    the width value.

### isWidthSet

    boolean isWidthSet()

  Returns whether the width value has been set.

  Returns:
    true if the width value has been set, false otherwise.

### setWidth

    void setWidth(float width)

  Sets the width value.

  Parameters:
    `width` - the width value.

### setWidthSet

    void setWidthSet(boolean flag)

  Sets the fact that the width value has been set.

  Parameters:
    `flag` - true if the width value has been set, false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.